/[pub]/test/html-webhacc/cc-style.css
Suika

Diff of /test/html-webhacc/cc-style.css

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.9 by wakaba, Mon Sep 10 11:51:09 2007 UTC revision 1.20 by wakaba, Tue Apr 29 10:59:25 2008 UTC
# Line 7  Line 7 
7    padding: 0.5em 1em;    padding: 0.5em 1em;
8  }  }
9    
10  dt, strong {  dt, strong, th {
11    font-weight: bolder;    font-weight: bolder;
12    font-family: sans-serif;    font-family: sans-serif;
13  }  }
# Line 30  h2 { Line 30  h2 {
30    font-size: 150%;    font-size: 150%;
31  }  }
32    
33  h3 {  h3, th {
34    font-weight: bolder;    font-weight: bolder;
35    font-family: sans-serif;    font-family: sans-serif;
36    font-size: 100%;    font-size: 100%;
# Line 103  q:before, q:after { Line 103  q:before, q:after {
103    font-size: 90%;    font-size: 90%;
104  }  }
105    
106  #parse-errors dd, #document-errors dd, #error-description h3 {  #dump-manifest tbody:empty {
107      display: table-caption;
108      caption-side: bottom;
109    }
110    
111    #dump-manifest tbody:empty::after {
112      content: "This cache manifest contains no oppotunistic caching namespace.";
113      font-style: italic;
114    }
115    
116    #dump-manifest dt:first-child + dt::before,
117    #dump-manifest dt:last-child::after {
118      display: block;
119      content: "This cache manifest contains no explicit entry.";
120      margin-left: 2.5em;
121      font-style: italic;
122      font-weight: normal;
123      font-family: serif;
124    }
125    
126    #dump-manifest dt:last-child::after {
127      content: "This cache manifest has an empty online whitelist.";
128    }
129    
130    #parse-errors dd, #document-errors dd, #error-description h3,
131    #result-para {
132    margin-left: 20px;    margin-left: 20px;
133    padding-left: 40px;    padding-left: 40px;
134    min-height: 32px;    min-height: 32px;
# Line 112  q:before, q:after { Line 137  q:before, q:after {
137    background-repeat: no-repeat;    background-repeat: no-repeat;
138  }  }
139    
140    #levels-table tbody th:first-child {
141      padding-left: 42px;
142      min-height: 32px;
143      background-image: url(large-stop);
144      background-position: 5px center;
145      background-repeat: no-repeat;
146      text-align: left;
147    }
148    
149  #identifiers dd, #terms dd {  #identifiers dd, #terms dd {
150    margin-left: 20px;    margin-left: 20px;
151    padding-left: 20px;    padding-left: 20px;
152    min-height: 20px;    min-height: 20px;
153  }  }
154    
155  #identifiers dd + dd, #terms dd + dd {  #identifiers dd + dd
156    /* , #terms dd + dd */ /* Now allowed - HTML5 revision 1467 */
157    {
158    background-image: url(error);    background-image: url(error);
159    background-position: center left;    background-position: center left;
160    background-repeat: no-repeat;    background-repeat: no-repeat;
# Line 129  q:before, q:after { Line 165  q:before, q:after {
165    margin-right: 1em;    margin-right: 1em;
166  }  }
167    
168  #document-errors dd.should, #error-description .should h3 {  #parse-errors dd.level-s, #document-errors dd.level-s,
169    #parse-errors dd.should,
170    #document-errors dd.should, #error-description .should h3,
171    #result-para.SEE-RESULT, #levels-table #level-s th {
172      background-image: url(large-stop);
173    }
174    
175    #parse-errors dd.level-w, #document-errors dd.level-w,
176    #parse-errors dd.warning,
177    #document-errors dd.warning, #error-description .warning h3,
178    #levels-table #level-w th {
179    background-image: url(large-alert);    background-image: url(large-alert);
180  }  }
181    
182    #parse-errors dd.level-i, #document-errors dd.level-i,
183    #error-description .level-i h3,
184    #levels-table #level-i th {
185      background-image: url(large-info);
186    }
187    
188    #parse-errors dd.level-u, #document-errors dd.level-u,
189    #parse-errors dd.level-unsupported, #document-errors dd.level-unsupported,
190    #parse-errors dd.unsupported,
191  #document-errors dd.unsupported {  #document-errors dd.unsupported {
192    margin-left: 60px;    margin-left: 60px;
193    border: red 0.2em solid;    border: red 0.2em solid;
194    padding: 0.5em;    padding: 0.5em;
195  }  }
196    
197  #document-errors dd.unsupported, #error-description .unsupported h3 {  #parse-errors dd.unsupported,
198    #document-errors dd.unsupported, #error-description .unsupported h3,
199    #result-para.uncertain,
200    #parse-errors dd.level-u, #document-errors dd.level-u,
201    #levels-table #level-u th {
202    background-image: none;    background-image: none;
203  }  }
204    
205    #result-para.PASS {
206      background-image: url(ok);
207    }
208    
209  #nav-items {  #nav-items {
210    display: block;    display: block;
211    position: fixed;    position: fixed;
# Line 186  code { Line 249  code {
249    white-space: pre-wrap;    white-space: pre-wrap;
250  }  }
251    
252    .example {
253      background-color: #ececff;
254    }
255    
256    pre.example {
257      margin-left: 1em;
258      margin-right: 1em;
259      padding: 0.2em 0.5em;
260    }
261    
262    .example.bad {
263      background-color: #fff7f7;
264    }
265    
266    code.example.bad {
267      color: inherit;
268      background-color: #ffeeee;
269    }
270    
271    h3 code.example.bad {
272      color: orangered;
273      background-color: transparent;
274    }
275    
276    pre.example::before {
277      content: "Example";
278      display: block;
279      color: #b0b0ff;
280      background-color: transparent;
281      font-weight: bolder;
282      font-family: sans-serif;
283    }
284    
285    pre.example.html::before {
286      content: "HTML Example";
287    }
288    
289    pre.example.xml::before {
290      content: "XML Example";
291    }
292    
293    pre.example.manifest::before {
294      content: "Cache Manifest Example";
295    }
296    
297    pre.example.bad::before {
298      content: "Bad Example";
299      color: #ffc1c1;
300    }
301    
302    pre.example.bad.html::before {
303      content: "HTML Bad Example";
304    }
305    
306    pre.example.bad.xml::before {
307      content: "XML Bad Example";
308    }
309    
310    pre.example.bad.manifest::before {
311      content: "Cache Manifest Bad Example";
312    }
313    
314  .rfc2119 {  .rfc2119 {
315    border-style: none;    border-style: none;
316    text-transform: lowercase;    text-transform: lowercase;
# Line 210  code { Line 335  code {
335  #result-summary th {  #result-summary th {
336    background-color: #fff0f0;    background-color: #fff0f0;
337    color: black;    color: black;
   font-weight: bolder;  
   font-family: sans-serif;  
338  }  }
339    
340  #result-summary th, #result-summary td {  #result-summary th, #result-summary td {
# Line 221  code { Line 344  code {
344    empty-cells: show;    empty-cells: show;
345  }  }
346    
347  .uncertain td, p.uncertain {  .uncertain td, p.uncertain,
348    #level-u, #level-u th {
349    background-color: #e1e1ff;    background-color: #e1e1ff;
350    color: black;    color: black;
351  }  }
352    
353  .FAIL {  .FAIL, .uncertain td.FAIL, #level-m, #level-m th {
354    background-color: #ffcece;    background-color: #ffcece;
355    color: black;    color: black;
356  }  }
357    
358  .SEE-RESULT {  .SEE-RESULT, .uncertain td.SEE-RESULT, #level-s, #level-s th {
359    background-color: #e1e1ff;    background-color: #e1e1ff;
360    color: black;    color: black;
361  }  }
362    
363  .PASS {  .PASS, #level-w, #level-w th,
364    #level-i, #level-i th {
365    background-color: #ddffdd;    background-color: #ddffdd;
366    color: black;    color: black;
367  }  }
368    
369  #result-para {  #result-para {
370    padding: 0.2em 1em;    padding-top: 0.2em;
371      padding-bottom: 0.2em;
372      padding-right: 1em;
373    }
374    
375    /* dl.switch from WHATWG specification style sheet */
376    
377    dl.switch {
378      padding-left: 2em;
379    }
380    
381    dl.switch dt {
382      display: block;
383      text-indent: -1.5em;
384      font-weight: bolder;
385      font-family: sans-serif;
386      font-style: normal;
387    }
388    
389    dl.switch dt:before {
390      content: '\21AA';
391      padding: 0 0.5em 0 0;
392      display: inline-block;
393      width: 1em;
394      text-align: right;
395      line-height: 0.5em;
396    }
397    
398    dl.switch dt:after {
399      content: " :";
400    }
401    
402    mark {
403      background-color: #ffff4d;
404  }  }
405    
406  /*  /*
407    
408  Copyright 2007 Wakaba <[email protected]>  Copyright 2007-2008 Wakaba <[email protected]>.
409    
410  This library is free software; you can redistribute it  This library is free software; you can redistribute it
411  and/or modify it under the same terms as Perl itself.  and/or modify it under the same terms as Perl itself.

Legend:
Removed from v.1.9  
changed lines
  Added in v.1.20

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24